# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString Class Reference

`#include <MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString.hxx>`

## Public Member Functions

| MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString (const Standard_Integer &K, const TCollection_AsciiString &I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
TCollection_AsciiString & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
TCollection_AsciiString | myValue

## Constructor & Destructor Documentation

MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString::MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString | ( | const Standard_Integer & | K,
|  | const TCollection_AsciiString & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString::Key | ( |  | ) | const

TCollection_AsciiString& MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString::Value | ( |  | ) | const

## Field Documentation

Standard_Integer MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString::myKey `[private]`

TCollection_AsciiString MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString::myValue `[private]`

The documentation for this class was generated from the following file:

- MeshVS_DataMapNodeOfDataMapOfIntegerAsciiString.hxx